当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 10 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : install build-essential 出错
帖子发表于 : 2007-11-17 14:21 

注册: 2007-06-12 21:42
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
具体情况和报错如下,希望高手指点。


~$ sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
build-essential: 依赖: libc6-dev 但是它将不会被安装 或
libc-dev
依赖: g++ (>= 4:4.1.1) 但是它将不会被安装
dpkg: Breaks: dpkg-dev (< 1.14.0) 但是 1.13.24ubuntu6 正要被安装
E: 无法安装的软件包


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-11-17 19:35 

注册: 2006-09-24 4:37
帖子: 2138
送出感谢: 0 次
接收感谢: 1
换源


页首
 用户资料  
 
3 楼 
 文章标题 : Re: install build-essential 出错
帖子发表于 : 2008-10-03 21:49 

注册: 2008-10-03 21:20
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
换源也不好用怎么办???????????????????????????????????????? :em20


页首
 用户资料  
 
4 楼 
 文章标题 : Re: install build-essential 出错
帖子发表于 : 2008-10-03 21:51 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
贴你的源出来


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
5 楼 
 文章标题 : Re: install build-essential 出错
帖子发表于 : 2008-10-03 22:42 
头像

注册: 2005-10-25 13:54
帖子: 272
送出感谢: 0 次
接收感谢: 0 次
libc6-dev、g++、dpkg-dev三个软件包无法安装,请分别单独安装一下这三个软件包,看看他们的依赖关系出了什么问题。从出错的提示上来看。似乎是你的系统之前安装了与他们的依赖有冲突的软件包,需要事先卸载。请弄清楚目前安装的build-essential是不是与系统的版本对应。


_________________
Full Circle中文杂志 | Ubuntu社区独立发行的电子月刊
http://www.freeearth.org.cn


页首
 用户资料  
 
6 楼 
 文章标题 : Re: install build-essential 出错
帖子发表于 : 2008-10-03 22:52 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
如果你之前已经sudo apt-get update了还存在的话, 那么就是你的源的版本和你的系统不匹配.


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
7 楼 
 文章标题 : Re: install build-essential 出错
帖子发表于 : 2008-10-04 2:20 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
应该是源的问题吧。。。 :em06


_________________
Ubuntu User


页首
 用户资料  
 
8 楼 
 文章标题 : Re: install build-essential 出错
帖子发表于 : 2008-11-01 23:03 

注册: 2007-10-06 0:56
帖子: 139
送出感谢: 0 次
接收感谢: 0 次
deb http://ubuntu.csie.ntu.edu.tw/ubuntu/ intrepid main restricted universe multiverse
deb-src http://ubuntu.csie.ntu.edu.tw/ubuntu/ intrepid main restricted universe multiverse
deb http://ubuntu.csie.ntu.edu.tw/ubuntu/ intrepid-updates main restricted universe multiverse
deb-src http://ubuntu.csie.ntu.edu.tw/ubuntu/ intrepid-updates main restricted universe multiverse
deb http://ubuntu.csie.ntu.edu.tw/ubuntu/ intrepid-backports main restricted universe multiverse
deb-src http://ubuntu.csie.ntu.edu.tw/ubuntu/ intrepid-backports main restricted universe multiverse
deb http://ubuntu.csie.ntu.edu.tw/ubuntu/ intrepid-security main restricted universe multiverse
deb-src http://ubuntu.csie.ntu.edu.tw/ubuntu/ intrepid-security main restricted universe multiverse
deb http://ubuntu.csie.ntu.edu.tw/ubuntu/ intrepid-proposed main multiverse restricted universe
deb-src http://ubuntu.csie.ntu.edu.tw/ubuntu/ intrepid-proposed main restricted universe multiverse


页首
 用户资料  
 
9 楼 
 文章标题 : Re: install build-essential 出错
帖子发表于 : 2008-11-02 15:29 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
这么久远的问题了 :em04


_________________
Ubuntu User


页首
 用户资料  
 
10 楼 
 文章标题 : Re: install build-essential 出错
帖子发表于 : 2008-11-02 18:37 

注册: 2007-10-06 0:56
帖子: 139
送出感谢: 0 次
接收感谢: 0 次
上面的源不对吗?
知道的说一下嘛。。。。。。。。。


阻碍了好多软件的安装。8.04就好的多。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 10 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译